Index: trunk/phpgwapi/inc/class.net_http_client.inc.php
===================================================================
--- trunk/phpgwapi/inc/class.net_http_client.inc.php	(revision 2)
+++ trunk/phpgwapi/inc/class.net_http_client.inc.php	(revision 6057)
@@ -742,5 +742,5 @@
 			$finished = ( $str == $lastLine );
 			if ( !$finished ) {
-				list( $hdr, $value ) = split( ": ", $str, 2 );
+				list( $hdr, $value ) = preg_split( '/: /', $str, 2 );
 				// nasty workaround broken multiple same headers (eg. Set-Cookie headers) @FIXME
 				if( isset( $headers[$hdr]) )
Index: trunk/phpgwapi/inc/class.jscalendar.inc.php
===================================================================
--- trunk/phpgwapi/inc/class.jscalendar.inc.php	(revision 5934)
+++ trunk/phpgwapi/inc/class.jscalendar.inc.php	(revision 6057)
@@ -154,6 +154,6 @@
 				return False;
 			}
-			$fields = split('[./-]',$datestr);
-			foreach(split('[./-]',$this->dateformat) as $n => $field)
+			$fields = preg_split('/[./-]/',$datestr);
+			foreach(preg_split('/[./-]/',$this->dateformat) as $n => $field)
 			{
 				if ($field == 'M')
Index: trunk/phpgwapi/inc/class.contacts_ldap.inc.php
===================================================================
--- trunk/phpgwapi/inc/class.contacts_ldap.inc.php	(revision 2)
+++ trunk/phpgwapi/inc/class.contacts_ldap.inc.php	(revision 6057)
@@ -324,5 +324,5 @@
 			{
 				if($DEBUG) { echo 'DEBUG - Inbound filter is: #'.$filter.'#'; }
-				$filterarray = split(',',$filter);
+				$filterarray = preg_split('/,/',$filter);
 				if($filterarray[1])
 				{
@@ -340,5 +340,5 @@
 				else
 				{
-					list($name,$value) = split('=',$filter);
+					list($name,$value) = preg_split('/=/',$filter);
 					if($DEBUG)
 					{
@@ -547,5 +547,5 @@
 			elseif($extra)
 			{
-				$tmp = split('=',$extra);
+				$tmp = preg_split('/=/',$extra);
 				$qarray[] = array($tmp[0] => $tmp[1]);
 			}
@@ -863,5 +863,5 @@
 
 					/* Verify uid */
-					$uids = split(',',$dn);
+					$uids = preg_split('/,/',$dn);
 					$stock_fields['lid'] = $uids[0];
 					if(empty($ldap_fields[0]['uid']))
Index: trunk/phpgwapi/inc/class.vfs_shared.inc.php
===================================================================
--- trunk/phpgwapi/inc/class.vfs_shared.inc.php	(revision 5940)
+++ trunk/phpgwapi/inc/class.vfs_shared.inc.php	(revision 6057)
@@ -797,5 +797,5 @@
 				if (!preg_match('/^#/',$contents[$i]))
 				{
-					$line=split("[[:space:]]+", $contents[$i]);
+					$line=preg_split('/[[:space:]]+/', $contents[$i]);
 					if (sizeof($line) >= 2)
 					{
Index: trunk/phpgwapi/inc/class.asyncservice.inc.php
===================================================================
--- trunk/phpgwapi/inc/class.asyncservice.inc.php	(revision 5141)
+++ trunk/phpgwapi/inc/class.asyncservice.inc.php	(revision 6057)
@@ -634,5 +634,5 @@
 				{
 					if ($this->debug) echo 'line '.++$n.": $line<br>\n";
-					$parts = split(' ',$line,6);
+					$parts = preg_split('/ /',$line,6);
 					
 					// Foi customizado para a Celepar.
Index: trunk/phpgwapi/inc/class.vcard.inc.php
===================================================================
--- trunk/phpgwapi/inc/class.vcard.inc.php	(revision 5934)
+++ trunk/phpgwapi/inc/class.vcard.inc.php	(revision 6057)
@@ -123,5 +123,5 @@
 			while($data = fgets($fp,8000))
 			{
-				list($name,$value,$extra) = split(':', $data);
+				list($name,$value,$extra) = preg_split('/:/', $data);
 				if(substr($value,0,5) == 'http')
 				{
@@ -216,10 +216,10 @@
 			foreach($buffer as $name => $value)
 			{
-				$field  = split(';',$name);
+				$field  = preg_split('/;/',$name);
 				$field[0] = preg_replace('/A\./','',$field[0]);
 				$field[0] = preg_replace('/B\./','',$field[0]);
 				$field[0] = preg_replace('/C\./','',$field[0]);
 				$field[0] = preg_replace('/D\./','',$field[0]);
-				$values = split(';',$value);
+				$values = preg_split('/;/',$value);
 				if($field[1])
 				{
@@ -594,5 +594,5 @@
 							else
 							{
-								$tmp = split('-',$values[0]);
+								$tmp = preg_split('/-/',$values[0]);
 								if($tmp[0])
 								{
@@ -612,5 +612,5 @@
 			$entry['adr_two_type'] = substr($buffer['adr_two_type'],0,-1);
 
-			if(count($street = split("\r*\n",$buffer['adr_one_street'],3)) > 1)
+			if(count($street = preg_split('/\r*\n/',$buffer['adr_one_street'],3)) > 1)
 			{
 				$entry['adr_one_street'] = $street[0];	// RB 2001/05/08 added for Lotus Organizer to split multiline adresses
@@ -650,5 +650,5 @@
 						elseif($value == 'BDAY')
 						{
-							$tmp = split('/',$buffer[$value]); # 12/31/1969 -> 1969-12-31
+							$tmp = preg_split('/\//',$buffer[$value]); # 12/31/1969 -> 1969-12-31
 							if($tmp[0])
 							{
Index: trunk/phpgwapi/inc/adodb/adodb-datadict.inc.php
===================================================================
--- trunk/phpgwapi/inc/adodb/adodb-datadict.inc.php	(revision 34)
+++ trunk/phpgwapi/inc/adodb/adodb-datadict.inc.php	(revision 6057)
@@ -519,5 +519,5 @@
 			if ($lines == null) $lines = array();
 			list(,$first) = each($lines);
-			list(,$column_def) = split("[\t ]+",$first,2);
+			list(,$column_def) = preg_split('/[\t ]+/',$first,2);
 		}
 		return array(sprintf($this->renameColumn,$tabname,$this->NameQuote($oldcolumn),$this->NameQuote($newcolumn),$column_def));
Index: trunk/phpgwapi/inc/adodb/session/adodb-session.php
===================================================================
--- trunk/phpgwapi/inc/adodb/session/adodb-session.php	(revision 1057)
+++ trunk/phpgwapi/inc/adodb/session/adodb-session.php	(revision 6057)
@@ -47,5 +47,5 @@
 {
 	$variables = array( );
-	$a = preg_split( "/(\w+)\|/", $serialized_string, -1, PREG_SPLIT_NO_EMPTY | PREG_SPLIT_DELIM_CAPTURE );
+	$a = preg_split( '/(\w+)\|/', $serialized_string, -1, PREG_SPLIT_NO_EMPTY | PREG_SPLIT_DELIM_CAPTURE );
 	for( $i = 0; $i < count( $a ); $i = $i+2 ) {
 		$variables[$a[$i]] = unserialize( $a[$i+1] );
Index: trunk/phpgwapi/inc/adodb/session/adodb-session2.php
===================================================================
--- trunk/phpgwapi/inc/adodb/session/adodb-session2.php	(revision 34)
+++ trunk/phpgwapi/inc/adodb/session/adodb-session2.php	(revision 6057)
@@ -77,5 +77,5 @@
 {
 	$variables = array( );
-	$a = preg_split( "/(\w+)\|/", $serialized_string, -1, PREG_SPLIT_NO_EMPTY | PREG_SPLIT_DELIM_CAPTURE );
+	$a = preg_split( '/(\w+)\|/', $serialized_string, -1, PREG_SPLIT_NO_EMPTY | PREG_SPLIT_DELIM_CAPTURE );
 	for( $i = 0; $i < count( $a ); $i = $i+2 ) {
 		$variables[$a[$i]] = unserialize( $a[$i+1] );
Index: trunk/phpgwapi/inc/adodb/adodb-perf.inc.php
===================================================================
--- trunk/phpgwapi/inc/adodb/adodb-perf.inc.php	(revision 34)
+++ trunk/phpgwapi/inc/adodb/adodb-perf.inc.php	(revision 6057)
@@ -88,8 +88,8 @@
 		$dbT = $conn->databaseType;
 		
-		$a0 = split(' ',$t0);
+		$a0 = preg_split('/ /',$t0);
 		$a0 = (float)$a0[1]+(float)$a0[0];
 		
-		$a1 = split(' ',$t1);
+		$a1 = preg_split('/ /',$t1);
 		$a1 = (float)$a1[1]+(float)$a1[0];
 		
Index: trunk/phpgwapi/inc/adodb/drivers/adodb-ldap.inc.php
===================================================================
--- trunk/phpgwapi/inc/adodb/drivers/adodb-ldap.inc.php	(revision 34)
+++ trunk/phpgwapi/inc/adodb/drivers/adodb-ldap.inc.php	(revision 6057)
@@ -56,5 +56,5 @@
 		
 		if ( strstr( $host, ':' ) ) {
-		    $conn_info = split( ':', $host );
+		    $conn_info = preg_split( '/:/', $host );
 		} 
 		
Index: trunk/phpgwapi/inc/adodb/drivers/adodb-informix72.inc.php
===================================================================
--- trunk/phpgwapi/inc/adodb/drivers/adodb-informix72.inc.php	(revision 34)
+++ trunk/phpgwapi/inc/adodb/drivers/adodb-informix72.inc.php	(revision 6057)
@@ -370,5 +370,5 @@
 				$o = new ADOFieldObject;
 				$o->name = $k;
-				$arr = split(';',$v); //"SQLTYPE;length;precision;scale;ISNULLABLE"
+				$arr = preg_split('/;/',$v); //"SQLTYPE;length;precision;scale;ISNULLABLE"
 				$o->type = $arr[0];
 				$o->max_length = $arr[1];
Index: trunk/phpgwapi/inc/common_functions.inc.php
===================================================================
--- trunk/phpgwapi/inc/common_functions.inc.php	(revision 5928)
+++ trunk/phpgwapi/inc/common_functions.inc.php	(revision 6057)
@@ -341,5 +341,5 @@
 				if (preg_match('/^[0-9]{1,3}(\.[0-9]{1,3}){3}$/i',$string))
 				{
-					$octets = split('\.',$string);
+					$octets = preg_split('/\./',$string);
 					for ($i=0; $i != count($octets); $i++)
 					{
Index: trunk/phpgwapi/inc/class.xmlrpcmsg.inc.php
===================================================================
--- trunk/phpgwapi/inc/class.xmlrpcmsg.inc.php	(revision 5912)
+++ trunk/phpgwapi/inc/class.xmlrpcmsg.inc.php	(revision 6057)
@@ -243,5 +243,5 @@
 				}
 			}
-			$r->hdrs = $GLOBALS['_xh'][$parser]['ha']; //split("\r?\n", $GLOBALS['_xh'][$parser]['ha'][1]);
+			$r->hdrs = $GLOBALS['_xh'][$parser]['ha']; //preg_split('/\r?\n/', $GLOBALS['_xh'][$parser]['ha'][1]);
 			return $r;
 		}
Index: trunk/phpgwapi/inc/class.vfs_sql.inc.php
===================================================================
--- trunk/phpgwapi/inc/class.vfs_sql.inc.php	(revision 5940)
+++ trunk/phpgwapi/inc/class.vfs_sql.inc.php	(revision 6057)
@@ -331,5 +331,5 @@
 				if ($attribute == 'version' && $data['incversion'])
 				{
-					$version_parts = split ("\.", $value);
+					$version_parts = preg_split('/\./', $value);
 					$newnumofparts = $numofparts = count ($version_parts);
 
Index: trunk/phpgwapi/inc/xml_functions.inc.php
===================================================================
--- trunk/phpgwapi/inc/xml_functions.inc.php	(revision 5934)
+++ trunk/phpgwapi/inc/xml_functions.inc.php	(revision 6057)
@@ -146,5 +146,5 @@
 	function xmlrpc_entity_decode($string)
 	{
-		$top = split('&', $string);
+		$top = preg_split('/&/', $string);
 		$op  = '';
 		$i   = 0;
Index: trunk/phpgwapi/inc/class.send.inc.php
===================================================================
--- trunk/phpgwapi/inc/class.send.inc.php	(revision 2)
+++ trunk/phpgwapi/inc/class.send.inc.php	(revision 6057)
@@ -124,5 +124,5 @@
 				else
 				{
-					$addresses = split('[, ]',$$adr);
+					$addresses = preg_split('/[, ]/',$$adr);
 					$names = array();
 				}					
Index: trunk/phpgwapi/inc/class.xmlrpc_server.inc.php
===================================================================
--- trunk/phpgwapi/inc/class.xmlrpc_server.inc.php	(revision 2)
+++ trunk/phpgwapi/inc/class.xmlrpc_server.inc.php	(revision 6057)
@@ -47,5 +47,5 @@
 		function iso86012date($isodate,$timestamp=False)
 		{
-			if (($arr = split('[-:T]',$isodate)) && count($arr) == 6)
+			if (($arr = preg_split('/[-:T]/',$isodate)) && count($arr) == 6)
 			{
 				foreach(array('year','month','mday','hour','min','sec') as $n => $name)
Index: trunk/phpgwapi/inc/class.vfs_dav.inc.php
===================================================================
--- trunk/phpgwapi/inc/class.vfs_dav.inc.php	(revision 5940)
+++ trunk/phpgwapi/inc/class.vfs_dav.inc.php	(revision 6057)
@@ -2374,5 +2374,5 @@
 				if (!preg_match('/^#/',$contents[$i]))
 				{
-					$line=split("[[:space:]]+", $contents[$i]);
+					$line=preg_split('/[[:space:]]+/', $contents[$i]);
 					if (sizeof($line) >= 2)
 					{