Index: branches/2.3/expressoMail1_2/js/main.js
===================================================================
--- branches/2.3/expressoMail1_2/js/main.js	(revision 5898)
+++ branches/2.3/expressoMail1_2/js/main.js	(revision 6064)
@@ -1697,5 +1697,16 @@
 		else
 			write_msg(get_lang("Connection failed with %1 Server. Try later.", "Web"));
-		
+
+                var send_link = Element("send_button_"+ID);
+                send_link.onclick = function onclick(event) {send_message(ID, preferences.save_in_folder, null);};
+                send_link.className = 'message_options';
+
+                var send_save_link = Element('send_button_save_'+ID);
+                if (send_save_link)
+                {
+                    send_save_link.onclick = function onclick(event) {wfolders.makeWindow(ID,"send_and_file");};
+                    send_save_link.className = 'message_options';
+                }
+
 		var save_link = Element("save_message_options_"+ID);
 		save_link.onclick = function onclick(event) {openTab.toPreserve[ID] = true;save_msg(ID);} ;
@@ -1792,4 +1803,15 @@
 	if ( document.getElementById('viewsource_rt_checkbox_' + ID).checked == true )
 		document.getElementById('viewsource_rt_checkbox_' + ID).click();
+
+        var send_link = Element('send_button_'+ID);
+        send_link.onclick = '';
+	send_link.className = 'message_options_inactive';
+
+        var send_save_link = Element('send_button_save_'+ID);
+        if (send_save_link)
+        {
+            send_save_link.onclick = '';
+            send_save_link.className = 'message_options_inactive';
+        }
 
 	var save_link = Element("save_message_options_"+ID);
@@ -1878,5 +1900,5 @@
 	}
 	else
-		cExecuteForm("$this.imap_functions.send_mail", form, handler_send_message, ID);
+		cExecuteForm("$this.imap_functions.send_mail", form, handler_send_message, ID, true);
 }
 function change_tr_properties(tr_element, newUid, newSubject){
Index: branches/2.3/expressoMail1_2/js/connector.js
===================================================================
--- branches/2.3/expressoMail1_2/js/connector.js	(revision 4605)
+++ branches/2.3/expressoMail1_2/js/connector.js	(revision 6064)
@@ -596,9 +596,9 @@
 	//	url: 'module.class.method'
 	//	form: form element (for upload files)	
-	function cExecuteForm(url, form, handler,id){
+	function cExecuteForm(url, form, handler,id,disableCancel){
 		connector.buildBar();
 		isExecuteForm = true;
 		
-		document.onmouseup = alertBut;
+		document.onmouseup = disableCancel ? '' : alertBut;
 		
 		connector.showProgressBar();
Index: branches/2.3/expressoMail1_2/js/draw_api.js
===================================================================
--- branches/2.3/expressoMail1_2/js/draw_api.js	(revision 5319)
+++ branches/2.3/expressoMail1_2/js/draw_api.js	(revision 6064)
@@ -2573,8 +2573,8 @@
 	if ((preferences.save_in_folder == '-1') || (preferences.save_in_folder == '')){
 		//var option_send = '<span class="message_options" onclick=send_message("'+ID+'","null","null");>'+get_lang("Send")+'</span> | ';
-		var option_send   = '<input type="button" id="send_button_'+ID+'" class="em_button_like_span" tabindex="1" value="'+get_lang("Send and not file")+'" onclick=send_message("'+ID+'","null","null");>' + ' | ';
+		var option_send   = '<span class="message_options" id="send_button_'+ID+'" tabindex="1" " onclick=send_message("'+ID+'","null","null");>'+get_lang("Send and not file")+'</span>' + ' | ';
 
 		if(!expresso_offline)
-			var option_send_and_file= '<span class="message_options" onclick=wfolders.makeWindow("'+ID+'","send_and_file");>'+get_lang("Send and file")+'</span> | ';
+			var option_send_and_file= '<span id="send_button_save_'+ID+'" class="message_options" onclick=wfolders.makeWindow("'+ID+'","send_and_file");>'+get_lang("Send and file")+'</span> | ';
 		else
 			var option_send_and_file='';
@@ -2582,5 +2582,5 @@
 	else{
 		//var option_send = '<span class="message_options" onclick="send_message(\''+ID+'\',\''+preferences.save_in_folder+'\',\'null\');">'+get_lang("Send")+'</span> | ';
-		var option_send   = '<input type="button" id="send_button_'+ID+'" class="em_button_like_span" tabindex="1" value="'+get_lang("Send")+'" onclick="send_message(\''+ID+'\',\''+preferences.save_in_folder+'\',\'null\');">' + ' | ';
+		var option_send   = '<span class="message_options" id="send_button_'+ID+'" tabindex="1" onclick="send_message(\''+ID+'\',\''+preferences.save_in_folder+'\',\'null\');">'+get_lang("Send")+'</span>' + ' | ';
 		var option_send_and_file='';
 		wfolders.alert = true;