Index: /trunk/phpgwapi/inc/class.contacts_ldap.inc.php
===================================================================
--- /trunk/phpgwapi/inc/class.contacts_ldap.inc.php	(revision 6057)
+++ /trunk/phpgwapi/inc/class.contacts_ldap.inc.php	(revision 6065)
@@ -330,5 +330,5 @@
 					for($i=0;$i<count($filterarray);$i++)
 					{
-						list($name,$value) = split("=",$filterarray[$i]);
+						list($name,$value) = preg_split('/=/',$filterarray[$i]);
 						if($name)
 						{
Index: /trunk/phpgwapi/inc/adodb/session/old/adodb-session.php
===================================================================
--- /trunk/phpgwapi/inc/adodb/session/old/adodb-session.php	(revision 1057)
+++ /trunk/phpgwapi/inc/adodb/session/old/adodb-session.php	(revision 6065)
@@ -19,5 +19,4 @@
 	include('adodb-session.php');
 	session_start();
-	session_register('AVAR');
 	$_SESSION['AVAR'] += 1;
 	print "
@@ -30,5 +29,4 @@
 	adodb_sess_open(false,false,false);
 	session_start();
-	session_register('AVAR');
 	$_SESSION['AVAR'] += 1;
 	print "
@@ -431,5 +429,4 @@
 
 	session_start();
-	session_register('AVAR');
 	$_SESSION['AVAR'] += 1;
 	ADOConnection::outp( "
Index: /trunk/phpgwapi/inc/adodb/session/old/adodb-cryptsession.php
===================================================================
--- /trunk/phpgwapi/inc/adodb/session/old/adodb-cryptsession.php	(revision 34)
+++ /trunk/phpgwapi/inc/adodb/session/old/adodb-cryptsession.php	(revision 6065)
@@ -24,5 +24,4 @@
 	#---------------------------------#
 	session_start();
-	session_register('AVAR');
 	$_SESSION['AVAR'] += 1;
 	print "
@@ -316,5 +315,4 @@
 
 	session_start();
-	session_register('AVAR');
 	$_SESSION['AVAR'] += 1;
 	print "
Index: /trunk/phpgwapi/inc/adodb/session/old/adodb-session-clob.php
===================================================================
--- /trunk/phpgwapi/inc/adodb/session/old/adodb-session-clob.php	(revision 34)
+++ /trunk/phpgwapi/inc/adodb/session/old/adodb-session-clob.php	(revision 6065)
@@ -19,5 +19,4 @@
 	include('adodb-session.php');
 	session_start();
-	session_register('AVAR');
 	$_SESSION['AVAR'] += 1;
 	print "
@@ -30,5 +29,4 @@
 	adodb_session_open(false,false,false);
 	session_start();
-	session_register('AVAR');
 	$_SESSION['AVAR'] += 1;
 	print "
@@ -440,5 +438,4 @@
 
 	session_start();
-	session_register('AVAR');
 	$_SESSION['AVAR'] += 1;
 	ADOConnection::outp( "
Index: /trunk/prototype/services/ImapServiceAdapter.php
===================================================================
--- /trunk/prototype/services/ImapServiceAdapter.php	(revision 6029)
+++ /trunk/prototype/services/ImapServiceAdapter.php	(revision 6065)
@@ -568,5 +568,5 @@
 
 				$folder = mb_convert_encoding($data['folder'], "UTF7-IMAP","ISO-8859-1, UTF-8");
-				$folder = @eregi_replace("INBOX[/.]", "INBOX".$this->imap_delimiter, $folder);
+				$folder = @preg_replace('/INBOX[\/.]/i', "INBOX".$this->imap_delimiter, $folder);
 
 				/**
Index: /trunk/expressoMail1_2/index.php
===================================================================
--- /trunk/expressoMail1_2/index.php	(revision 5914)
+++ /trunk/expressoMail1_2/index.php	(revision 6065)
@@ -253,6 +253,6 @@
 	// Fix problem with cyrus delimiter changes in preferences.
 	// Dots in names: enabled/disabled.
-	$save_in_folder = @eregi_replace("INBOX/", "INBOX".$_SESSION['phpgw_info']['expressomail']['email_server']['imapDelimiter'], $_SESSION['phpgw_info']['user']['preferences']['expressoMail']['save_in_folder']);
-	$save_in_folder = @eregi_replace("INBOX.", "INBOX".$_SESSION['phpgw_info']['expressomail']['email_server']['imapDelimiter'], $save_in_folder);
+	$save_in_folder = @preg_replace('/INBOX\//i', "INBOX".$_SESSION['phpgw_info']['expressomail']['email_server']['imapDelimiter'], $_SESSION['phpgw_info']['user']['preferences']['expressoMail']['save_in_folder']);
+	$save_in_folder = @preg_replace('/INBOX./i', "INBOX".$_SESSION['phpgw_info']['expressomail']['email_server']['imapDelimiter'], $save_in_folder);
 	$_SESSION['phpgw_info']['user']['preferences']['expressoMail']['save_in_folder'] = $save_in_folder;
 	// End Fix.