Index: trunk/expressoAdmin1_2/templates/default/managers_form.tpl
===================================================================
--- trunk/expressoAdmin1_2/templates/default/managers_form.tpl	(revision 5133)
+++ trunk/expressoAdmin1_2/templates/default/managers_form.tpl	(revision 6095)
@@ -115,10 +115,9 @@
 							<td>{lang_add_shared_accounts}:</td>
 							<td><input type="checkbox" name="acl_add_shared_accounts" value="true" {acl_add_shared_accounts}></td>
-                                                        <td>{lang_add_institutional_accounts}:</td>
+                            <td>{lang_add_institutional_accounts}:</td>
 							<td><input type="checkbox" name="acl_add_institutional_accounts" value="true" {acl_add_institutional_accounts}></td>
-                                                        <td>{lang_edit_general_maximum_number_of_recipients}:</td>
+                            <td>{lang_edit_general_maximum_number_of_recipients}:</td>
 							<td><input type="checkbox" name="acl_edit_maximum_number_of_recipients_generally" value="true" {acl_edit_maximum_number_of_recipients_generally}></td>
-
-                                                </tr>
+                        </tr>
 						<tr align='right'>
 							<td bgcolor="{color_font1}" >{lang_edit_users_picture}:</td>
@@ -128,7 +127,6 @@
 							<td bgcolor="{color_font1}" >{lang_edit_institutional_accounts}:</td>
 							<td bgcolor="{color_font1}" ><input type="checkbox" name="acl_edit_institutional_accounts" value="true" {acl_edit_institutional_accounts}></td>
-                                                        <td bgcolor="{color_font1}" >{lang_add_maximum_number_of_recipients_by_user}:</td>
+                            <td bgcolor="{color_font1}" >{lang_add_maximum_number_of_recipients_by_user}:</td>
 							<td bgcolor="{color_font1}" ><input type="checkbox" name="acl_add_maximum_number_of_recipients_by_user" value="true" {acl_add_maximum_number_of_recipients_by_user}></td>
-
 						</tr>
 						<tr align='right'>
@@ -139,8 +137,7 @@
 							<td bgcolor="{color_font2}">{lang_remove_institutional_accounts}:</td>
 							<td bgcolor="{color_font2}"><input type="checkbox" name="acl_remove_institutional_accounts" value="true" {acl_remove_institutional_accounts}></td>
-                                                        <td bgcolor="{color_font2}">{lang_edit_and_remove_maximum_number_of_recipients_by_user}:</td>
+                            <td bgcolor="{color_font2}">{lang_edit_and_remove_maximum_number_of_recipients_by_user}:</td>
 							<td bgcolor="{color_font2}"><input type="checkbox" name="acl_edit_and_remove_maximum_number_of_recipients_by_user" value="true" {acl_edit_and_remove_maximum_number_of_recipients_by_user}></td>
-
-                                                </tr>
+                        </tr>
 						<tr  align='right'>
 							<td bgcolor="{color_font1}">{lang_change_users_password}:</td>
@@ -150,6 +147,6 @@
                                                         <td>&nbsp;</td>
                                                         <td>&nbsp;</td>
-                                                        <td bgcolor="{color_font1}">{lang_add_maximum_number_of_recipients_by_group}:</td>
-							<td bgcolor="{color_font1}"><input type="checkbox" name="acl_add_maximum_number_of_recipients_by_group" value=true" {acl_add_maximum_number_of_recipients_by_group}></td>
+                            <td bgcolor="{color_font1}">{lang_add_maximum_number_of_recipients_by_group}:</td>
+							<td bgcolor="{color_font1}"><input type="checkbox" name="acl_add_maximum_number_of_recipients_by_group" value="true" {acl_add_maximum_number_of_recipients_by_group}></td>
 
 						</tr>
@@ -159,9 +156,9 @@
 							<td bgcolor="{color_font2}">{lang_edit_shared_accounts_quote}:</td>
 							<td bgcolor="{color_font2}"><input type="checkbox" name="acl_edit_shared_accounts_quote" value="true" {acl_edit_shared_accounts_quote}></td>
-                                                        <td bgcolor="{color_font2}">{lang_active_blocking_sending_email_to_shared_accounts}:</td>
-							<td bgcolor="{color_font2}"><input type="checkbox" name="acl_active_blocking_sending_email_to_shared_accounts" value="true" {acl_active_blocking_sending_email_to_shared_accounts}</td>
-                                                        <td bgcolor="{color_font2}">{lang_edit_and_remove_maximum_number_of_recipients_by_group}:</td>
-							<td bgcolor="{color_font2}"><input type="checkbox" name="acl_edit_and_remove_maximum_number_of_recipients_by_group" value="true" {acl_edit_and_remove_maximum_number_of_recipients_by_group}</td>
-                                                </tr>
+							<td bgcolor="{color_font2}">{lang_active_blocking_sending_email_to_shared_accounts}:</td>
+							<td bgcolor="{color_font2}"><input type="checkbox" name="acl_active_blocking_sending_email_to_shared_accounts" value="true" {acl_active_blocking_sending_email_to_shared_accounts}></td>
+							<td bgcolor="{color_font2}">{lang_edit_and_remove_maximum_number_of_recipients_by_group}:</td>
+							<td bgcolor="{color_font2}"><input type="checkbox" name="acl_edit_and_remove_maximum_number_of_recipients_by_group" value="true" {acl_edit_and_remove_maximum_number_of_recipients_by_group}></td>
+						</tr>
 						<tr align='right'>
 							<td bgcolor="{color_font1}">{lang_set_default_users_password}:</td>
@@ -169,6 +166,6 @@
 							<td bgcolor="{color_font1}">{lang_empty_shared_accounts_inbox}:</td>
 							<td bgcolor="{color_font1}"><input type="checkbox" name="acl_empty_shared_accounts_inbox" value="true" {acl_empty_shared_accounts_inbox}></td>
-                                                        <td bgcolor="{color_font1}">{lang_add_blocking_sending_email_to_shared_accounts_exception}:</td>
-							<td bgcolor="{color_font1}"><input type="checkbox" name="acl_add_blocking_sending_email_to_shared_accounts_exception" value="true" {acl_add_blocking_sending_email_to_shared_accounts_exception}</td>
+                            <td bgcolor="{color_font1}">{lang_add_blocking_sending_email_to_shared_accounts_exception}:</td>
+							<td bgcolor="{color_font1}"><input type="checkbox" name="acl_add_blocking_sending_email_to_shared_accounts_exception" value="true" {acl_add_blocking_sending_email_to_shared_accounts_exception}></td>
                                                         <td>&nbsp;</td>
                                                         <td>&nbsp;</td>
@@ -180,5 +177,5 @@
                                                         <td>&nbsp;</td>
                                                         <td bgcolor="{color_font2}">{lang_edit_and_remove_blocking_sending_email_to_shared_accounts_exception}:</td>
-							<td bgcolor="{color_font2}"><input type="checkbox" name="acl_edit_and_remove_blocking_sending_email_to_shared_accounts_exception" value="true" {acl_edit_and_remove_blocking_sending_email_to_shared_accounts_exception}</td>
+							<td bgcolor="{color_font2}"><input type="checkbox" name="acl_edit_and_remove_blocking_sending_email_to_shared_accounts_exception" value="true" {acl_edit_and_remove_blocking_sending_email_to_shared_accounts_exception}></td>
                                                         <td>&nbsp;</td>
                                                         <td>&nbsp;</td>
@@ -199,5 +196,5 @@
 							<td>&nbsp;</td>
 						<td bgcolor="{color_font2}" align='right'>{lang_add_messages_size_rule}:</td>
-						<td bgcolor="{color_font2}" align='right'><input type="checkbox" name="acl_add_messages_size_rule" value="true" {acl_add_messages_size_rule}</td>
+						<td bgcolor="{color_font2}" align='right'><input type="checkbox" name="acl_add_messages_size_rule" value="true" {acl_add_messages_size_rule}></td>
                                          
 						<tr bgcolor="{color_font2}" align='right'>
@@ -206,5 +203,5 @@
 							
 							<td bgcolor="{color_font2}">{lang_edit_messages_size_rule}:</td>
-							<td bgcolor="{color_font2}"><input type="checkbox" name="acl_edit_messages_size_rule" value="true" {acl_edit_messages_size_rule}</td>
+							<td bgcolor="{color_font2}"><input type="checkbox" name="acl_edit_messages_size_rule" value="true" {acl_edit_messages_size_rule}></td>
 							
 							<td style="{display_samba_suport}">{lang_create_computers}:</td>
@@ -216,5 +213,5 @@
 							
 							<td bgcolor="{color_font2}">{lang_remove_messages_size_rule}:</td>
-							<td bgcolor="{color_font2}"><input type="checkbox" name="acl_remove_messages_size_rule" value="true" {acl_remove_messages_size_rule}</td>
+							<td bgcolor="{color_font2}"><input type="checkbox" name="acl_remove_messages_size_rule" value="true" {acl_remove_messages_size_rule}></td>
 							
 							<td style="{display_samba_suport}">{lang_edit_computers}:</td>