Index: trunk/expressoMail1_2/js/main.js
===================================================================
--- trunk/expressoMail1_2/js/main.js	(revision 6085)
+++ trunk/expressoMail1_2/js/main.js	(revision 6106)
@@ -1727,4 +1727,5 @@
 				if(data.cc != ""){
 					content.find('[name="input_cc"]').val(data.cc);
+					input_binds(content.find('[name="input_cc"]'), new_border_ID);
 					content.find(".cc-tr").show();
 					content.find(".cc-button").toggleClass("expressomail-button-icon-ative");
Index: trunk/expressoMail1_2/js/draw_api.js
===================================================================
--- trunk/expressoMail1_2/js/draw_api.js	(revision 6104)
+++ trunk/expressoMail1_2/js/draw_api.js	(revision 6106)
@@ -3476,4 +3476,53 @@
 	return mySplit( term ).pop();
 }
+
+function input_binds(input, ID){
+	var mySource = new Array();
+	var myArray = contacts.split(",");
+	for(var i in myArray){
+		var teste = myArray[i].split(";");
+		if(teste.length > 1)
+			mySource.push({name : teste[0], email: teste[1], value : (teste[0] +" - "+teste[1])});
+		else
+			mySource.push({name : "", email: teste[0], value :teste[0]});
+	}
+	input.bind( "keydown", function( event ) {
+		if ( event.keyCode === $.ui.keyCode.TAB && $( this ).data( "autocomplete" ).menu.active ) {
+			event.preventDefault();
+		}
+		if((event.keyCode) == 120){
+			emQuickSearch($(this).val(), "."+$(this).parents("tr:first").attr('class').split("-")[0], ID, undefined, true);
+		}
+	}).autocomplete({
+		minLength: 0,			
+		source: function( request, response ) {
+			response( $.ui.autocomplete.filter(
+				mySource, extractLast( request.term ) ) );
+		},
+		focus: function() {
+			return false;
+		},
+		select: function( event, ui ) {
+			var terms = mySplit( this.value );
+			terms.pop();
+			terms.push( (ui.item.name != "" ? "\""+ui.item.name+"\" " : "") + (ui.item.email ? "<"+ui.item.email+">" : ""));
+			terms.push( "" );
+			this.value = terms.join( ", " );
+			return false;
+		}
+	}).data( "autocomplete" )._renderItem = function( ul, item ) {
+		ul.css({"max-height" : "115px", "overflow-y" : "auto"});
+		if( $(ul).find("li").length > 10 ){
+			return;
+		}
+		return $( "<li></li>" )
+			.data( "item.autocomplete", item )
+			.append( "<a>" + item.name + " - " + item.email + "</a>" )
+			.appendTo( ul );
+	};
+	input.parents("tr:first").find("button").button().click(function(){
+		emQuickSearch($(this).parents("tr:first").find("textarea").val(), "."+$(this).parents("tr:first").attr('class').split("-")[0], ID, undefined, true);
+	});
+}
 		
 function draw_new_message(border_ID){
@@ -3544,54 +3593,6 @@
 	} 
 	
-	var input_binds = function(input){
-		var mySource = new Array();
-		var myArray = contacts.split(",");
-		for(var i in myArray){
-			var teste = myArray[i].split(";");
-			if(teste.length > 1)
-				mySource.push({name : teste[0], email: teste[1], value : (teste[0] +" - "+teste[1])});
-			else
-				mySource.push({name : "", email: teste[0], value :teste[0]});
-		}
-		input.bind( "keydown", function( event ) {
-			if ( event.keyCode === $.ui.keyCode.TAB && $( this ).data( "autocomplete" ).menu.active ) {
-				event.preventDefault();
-			}
-			if((event.keyCode) == 120){
-				emQuickSearch($(this).val(), "."+$(this).parents("tr:first").attr('class').split("-")[0], ID, undefined, true);
-			}
-		}).autocomplete({
-			minLength: 0,			
-			source: function( request, response ) {
-				response( $.ui.autocomplete.filter(
-					mySource, extractLast( request.term ) ) );
-			},
-			focus: function() {
-				return false;
-			},
-			select: function( event, ui ) {
-				var terms = mySplit( this.value );
-				terms.pop();
-				terms.push( (ui.item.name != "" ? "\""+ui.item.name+"\" " : "") + (ui.item.email ? "<"+ui.item.email+">" : ""));
-				terms.push( "" );
-				this.value = terms.join( ", " );
-				return false;
-			}
-		}).data( "autocomplete" )._renderItem = function( ul, item ) {
-			ul.css({"max-height" : "115px", "overflow-y" : "auto"});
-			if( $(ul).find("li").length > 10 ){
-				return;
-			}
-			return $( "<li></li>" )
-				.data( "item.autocomplete", item )
-				.append( "<a>" + item.name + " - " + item.email + "</a>" )
-				.appendTo( ul );
-		};
-		input.parents("tr:first").find("button").button().click(function(){
-			emQuickSearch($(this).parents("tr:first").find("textarea").val(), "."+$(this).parents("tr:first").attr('class').split("-")[0], ID, undefined, true);
-		});
-	}
 	
-	input_binds(content.find('[name="input_to"]').css({"max-height" : "115px", "overflow-y" : "auto"}).addClass("elastic").elastic().unbind('blur').focus());	
+	input_binds(content.find('[name="input_to"]').css({"max-height" : "115px", "overflow-y" : "auto"}).addClass("elastic").elastic().unbind('blur').focus(), ID);	
 	
 	//Botão TextoRico/TextoSimples