Index: trunk/prototype/services/PostgreSQL.php
===================================================================
--- trunk/prototype/services/PostgreSQL.php	(revision 6023)
+++ trunk/prototype/services/PostgreSQL.php	(revision 6115)
@@ -1,3 +1,42 @@
 <?php
+/**
+ *
+ * Copyright (C) 2012 Consórcio Expresso Livre - 4Linux (www.4linux.com.br) e Prognus Software Livre (www.prognus.com.br)
+ *
+ * This program is free software; you can redistribute it and/or modify it under
+ * the terms of the GNU Affero General Public License version 3 as published by
+ * the Free Software Foundation with the addition of the following permission
+ * added to Section 15 as permitted in Section 7(a): FOR ANY PART OF THE COVERED
+ * WORK IN WHICH THE COPYRIGHT IS OWNED BY FUNAMBOL, FUNAMBOL DISCLAIMS THE
+ * WARRANTY OF NON INFRINGEMENT  OF THIRD PARTY RIGHTS.
+ *
+ * This program is distributed in the hope that it will be useful, but WITHOUT
+ * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
+ * FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
+ * details.
+ *
+ * You should have received a copy of the GNU Affero General Public License
+ * along with this program; if not, see www.gnu.org/licenses or write to
+ * the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
+ * MA 02110-1301 USA.
+ *
+ * This code is based on the OpenXchange Connector and on the Prognus pSync
+ * Connector both developed by the community and licensed under the GPL
+ * version 2 or above as published by the Free Software Foundation.
+ *
+ * You can contact Prognus Software Livre headquarters at Av. Tancredo Neves,
+ * 6731, PTI, Edifício do Saber, 3º floor, room 306, Foz do Iguaçu - PR - Brasil or at
+ * e-mail address prognus@prognus.com.br.
+ *
+ * Classe de abstração que implementa métodos de manipulação de banco de dados
+ * executando instruções SQL a partir de parâmetros passados pelos métodos.
+ *
+ * @package    Prototype
+ * @license    http://www.gnu.org/copyleft/gpl.html GPL
+ * @author     Consórcio Expresso Livre - 4Linux (www.4linux.com.br) e Prognus Software Livre (www.prognus.com.br)
+ * @version    2.4
+ * @sponsor    Caixa Econômica Federal
+ * @since      Arquivo disponibilizado na versão 2.4
+ */
 
 class PostgreSQL implements Service
Index: trunk/prototype/services/ImapServiceAdapter.php
===================================================================
--- trunk/prototype/services/ImapServiceAdapter.php	(revision 6076)
+++ trunk/prototype/services/ImapServiceAdapter.php	(revision 6115)
@@ -1,3 +1,42 @@
 <?php
+/**
+ *
+ * Copyright (C) 2012 Consórcio Expresso Livre - 4Linux (www.4linux.com.br) e Prognus Software Livre (www.prognus.com.br)
+ *
+ * This program is free software; you can redistribute it and/or modify it under
+ * the terms of the GNU Affero General Public License version 3 as published by
+ * the Free Software Foundation with the addition of the following permission
+ * added to Section 15 as permitted in Section 7(a): FOR ANY PART OF THE COVERED
+ * WORK IN WHICH THE COPYRIGHT IS OWNED BY FUNAMBOL, FUNAMBOL DISCLAIMS THE
+ * WARRANTY OF NON INFRINGEMENT  OF THIRD PARTY RIGHTS.
+ *
+ * This program is distributed in the hope that it will be useful, but WITHOUT
+ * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
+ * FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
+ * details.
+ *
+ * You should have received a copy of the GNU Affero General Public License
+ * along with this program; if not, see www.gnu.org/licenses or write to
+ * the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
+ * MA 02110-1301 USA.
+ *
+ * This code is based on the OpenXchange Connector and on the Prognus pSync
+ * Connector both developed by the community and licensed under the GPL
+ * version 2 or above as published by the Free Software Foundation.
+ *
+ * You can contact Prognus Software Livre headquarters at Av. Tancredo Neves,
+ * 6731, PTI, Edifício do Saber, 3º floor, room 306, Foz do Iguaçu - PR - Brasil or at
+ * e-mail address prognus@prognus.com.br.
+ *
+ * Classe de abstração que faz uma adaptação para manipulação de informações
+ * no IMAP a partir de vários métodos.
+ *
+ * @package    Prototype
+ * @license    http://www.gnu.org/copyleft/gpl.html GPL
+ * @author     Consórcio Expresso Livre - 4Linux (www.4linux.com.br) e Prognus Software Livre (www.prognus.com.br)
+ * @version    2.4
+ * @sponsor    Caixa Econômica Federal
+ * @since      Arquivo disponibilizado na versão 2.4
+ */
 
 include_once ROOTPATH."/../expressoMail1_2/inc/class.imap_functions.inc.php";
Index: trunk/prototype/getArchive.php
===================================================================
--- trunk/prototype/getArchive.php	(revision 5604)
+++ trunk/prototype/getArchive.php	(revision 6115)
@@ -1,3 +1,43 @@
 <?php
+/**
+ *
+ * Copyright (C) 2012 Consórcio Expresso Livre - 4Linux (www.4linux.com.br) e Prognus Software Livre (www.prognus.com.br)
+ *
+ * This program is free software; you can redistribute it and/or modify it under
+ * the terms of the GNU Affero General Public License version 3 as published by
+ * the Free Software Foundation with the addition of the following permission
+ * added to Section 15 as permitted in Section 7(a): FOR ANY PART OF THE COVERED
+ * WORK IN WHICH THE COPYRIGHT IS OWNED BY FUNAMBOL, FUNAMBOL DISCLAIMS THE
+ * WARRANTY OF NON INFRINGEMENT  OF THIRD PARTY RIGHTS.
+ *
+ * This program is distributed in the hope that it will be useful, but WITHOUT
+ * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
+ * FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
+ * details.
+ *
+ * You should have received a copy of the GNU Affero General Public License
+ * along with this program; if not, see www.gnu.org/licenses or write to
+ * the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
+ * MA 02110-1301 USA.
+ *
+ * This code is based on the OpenXchange Connector and on the Prognus pSync
+ * Connector both developed by the community and licensed under the GPL
+ * version 2 or above as published by the Free Software Foundation.
+ *
+ * You can contact Prognus Software Livre headquarters at Av. Tancredo Neves,
+ * 6731, PTI, Edifício do Saber, 3º floor, room 306, Foz do Iguaçu - PR - Brasil or at
+ * e-mail address prognus@prognus.com.br.
+ *
+ * Arquivo responsável por extrair do banco de dados informações sobre um 
+ * determinado arquivo para que o download possa ser feito.
+ *
+ * @package    Prototype
+ * @license    http://www.gnu.org/copyleft/gpl.html GPL
+ * @author     Consórcio Expresso Livre - 4Linux (www.4linux.com.br) e Prognus Software Livre (www.prognus.com.br)
+ * @version    2.4
+ * @sponsor    Caixa Econômica Federal
+ * @since      Arquivo disponibilizado na versão 2.4
+ */
+
 $data = $_GET;
 //TODO implementar suporte a download de varios arquivos!
Index: trunk/prototype/api/controller.php
===================================================================
--- trunk/prototype/api/controller.php	(revision 6023)
+++ trunk/prototype/api/controller.php	(revision 6115)
@@ -1,4 +1,42 @@
 <?php
-
+/**
+ *
+ * Copyright (C) 2012 Consórcio Expresso Livre - 4Linux (www.4linux.com.br) e Prognus Software Livre (www.prognus.com.br)
+ *
+ * This program is free software; you can redistribute it and/or modify it under
+ * the terms of the GNU Affero General Public License version 3 as published by
+ * the Free Software Foundation with the addition of the following permission
+ * added to Section 15 as permitted in Section 7(a): FOR ANY PART OF THE COVERED
+ * WORK IN WHICH THE COPYRIGHT IS OWNED BY FUNAMBOL, FUNAMBOL DISCLAIMS THE
+ * WARRANTY OF NON INFRINGEMENT  OF THIRD PARTY RIGHTS.
+ *
+ * This program is distributed in the hope that it will be useful, but WITHOUT
+ * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
+ * FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
+ * details.
+ *
+ * You should have received a copy of the GNU Affero General Public License
+ * along with this program; if not, see www.gnu.org/licenses or write to
+ * the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
+ * MA 02110-1301 USA.
+ *
+ * This code is based on the OpenXchange Connector and on the Prognus pSync
+ * Connector both developed by the community and licensed under the GPL
+ * version 2 or above as published by the Free Software Foundation.
+ *
+ * You can contact Prognus Software Livre headquarters at Av. Tancredo Neves,
+ * 6731, PTI, Edifício do Saber, 3º floor, room 306, Foz do Iguaçu - PR - Brasil or at
+ * e-mail address prognus@prognus.com.br.
+ *
+ * Classe de controle que faz manipulações de fluxo de informações para toda
+ * a API a partir de vários métodos. 
+ *
+ * @package    Prototype
+ * @license    http://www.gnu.org/copyleft/gpl.html GPL
+ * @author     Consórcio Expresso Livre - 4Linux (www.4linux.com.br) e Prognus Software Livre (www.prognus.com.br)
+ * @version    2.4
+ * @sponsor    Caixa Econômica Federal
+ * @since      Arquivo disponibilizado na versão 2.4
+ */
 
 if( !defined( 'ROOTPATH' ) )